Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class AbstractLibrary

- org.gradle.plugins.ide.eclipse.model.AbstractLibrary

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractClasspathEntry` | `COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `declaredConfigurationName`
    `FileReference` | `javadocPath`
    `FileReference` | `library`
    `ModuleVersionIdentifier` | `moduleVersion`
    `FileReference` | `sourcePath`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractLibrary (Node node, FileReferenceFactory fileReferenceFactory)`
    `AbstractLibrary (FileReference library)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `appendNode(Node node)`
    `boolean` | `equals(def o)`
    `int` | `hashCode()`
    `void` | `setJavadocPath(FileReference path)`
    `void` | `setLibrary(FileReference library)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractClasspathEntry` | `addClasspathEntry, appendNode, equals, getNativeLibraryLocation, hashCode, normalizePath, setNativeLibraryLocation, toString, writeEntryAttributes`

- - ### Property Detail

    - #### String declaredConfigurationName

    - #### FileReference javadocPath

    - #### FileReference library

    - #### @Nullable ModuleVersionIdentifier moduleVersion

    - #### FileReference sourcePath

  - ### Constructor Detail

    - #### AbstractLibrary(Node node, FileReferenceFactory fileReferenceFactory)

    - #### AbstractLibrary(FileReference library)

  - ### Method Detail

    - #### void appendNode(Node node)

    - #### boolean equals(def o)

    - #### int hashCode()

    - #### void setJavadocPath(FileReference path)

    - #### void setLibrary(FileReference library)

    - #### String toString()